Create Member

Creates a new member in Warely POS for the authenticated SP Digital business. Example curl: ```bash curl --request POST '{{base_url}}/sp/members/create' \ --header 'Authorization: Bearer {{access_token}}' \ --header 'Content-Type: application/json' \ --data-raw '{ "idempotency_key": "{{$timestamp}}-member-create", "first_name": "John", "last_name": "Doe", "phone_number": "+6590000001", "email": "john.doe@example.com", "date_of_birth": "1990-01-15", "password": "ChangeMe123!" }' ``` Example success response shape: ```json { "success": true, "message": "Member created successfully.", "data": { "member_id": 123, "contact_id": 456, "first_name": "John", "last_name": "Doe", "phone_number": "+6590000001", "email": "john.doe@example.com" }, "meta": {} } ``` Example error response shape: ```json { "success": false, "message": "The same idempotency_key cannot be reused with a different payload.", "error": { "code": "idempotency_key_reused_with_different_payload", "details": {} } } ``` Common platform errors: - `idempotency_key_required` - `unauthorized` - `sp_scope_not_granted` - `sp_token_scope_missing` - `legacy_field_not_allowed` - `query_parameters_not_allowed` - `invalid_content_type`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

AuthorizationstringOptional

Response

201 Created Example
successboolean
messagestring
dataobject
metaobject